## org.eclipse.jst.jsf.core.tagmatcher
Class EvaluationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.eclipse.jst.jsf.core.tagmatcher.EvaluationException

All Implemented Interfaces:
  java.io.Serializable

    public class EvaluationException

extends java.lang.RuntimeException

Wraps an exception thrown during algorithm evaluation

Provisional API - subject to change

See Also:
  Serialized Form

Constructor Summary
`EvaluationException()`
`EvaluationException(java.lang.String message)`
`EvaluationException(java.lang.String message, java.lang.Throwable cause)`
`EvaluationException(java.lang.Throwable cause)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EvaluationException

    public EvaluationException()

### EvaluationException

    public EvaluationException(java.lang.String message)

Parameters:
  `message` -

### EvaluationException

    public EvaluationException(java.lang.Throwable cause)

Parameters:
  `cause` -

### EvaluationException

    public EvaluationException(java.lang.String message,
                               java.lang.Throwable cause)

Parameters:
  `message` -
  `cause` -